Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
b355b74c061af60ddd8d2ff0a24d711d6d16c85e
[simgrid.git] / examples / gras / pmm / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 srcdir = @srcdir@
23 top_srcdir = @top_srcdir@
24 VPATH = @srcdir@
25 pkgdatadir = $(datadir)/@PACKAGE@
26 pkglibdir = $(libdir)/@PACKAGE@
27 pkgincludedir = $(includedir)/@PACKAGE@
28 top_builddir = ../../..
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 INSTALL = @INSTALL@
31 install_sh_DATA = $(install_sh) -c -m 644
32 install_sh_PROGRAM = $(install_sh) -c
33 install_sh_SCRIPT = $(install_sh) -c
34 INSTALL_HEADER = $(INSTALL_DATA)
35 transform = $(program_transform_name)
36 NORMAL_INSTALL = :
37 PRE_INSTALL = :
38 POST_INSTALL = :
39 NORMAL_UNINSTALL = :
40 PRE_UNINSTALL = :
41 POST_UNINSTALL = :
42 build_triplet = @build@
43 host_triplet = @host@
44 target_triplet = @target@
45 noinst_PROGRAMS = pmm_slave$(EXEEXT) pmm_master$(EXEEXT) \
46         pmm_simulator$(EXEEXT)
47 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
48         $(srcdir)/test_rl.in $(srcdir)/test_sg.in \
49         $(top_srcdir)/acmacro/dist-files.mk \
50         $(top_srcdir)/examples/temps-gras-stub.mk
51 subdir = examples/gras/pmm
52 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
53 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
54         $(top_srcdir)/acmacro/compiler-flags.m4 \
55         $(top_srcdir)/acmacro/context.m4 \
56         $(top_srcdir)/acmacro/fancy_configury.m4 \
57         $(top_srcdir)/acmacro/flex.m4 \
58         $(top_srcdir)/acmacro/gras_arch.m4 \
59         $(top_srcdir)/acmacro/print_null.m4 \
60         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
61 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
62         $(ACLOCAL_M4)
63 mkinstalldirs = $(install_sh) -d
64 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
65 CONFIG_CLEAN_FILES = test_sg test_rl
66 PROGRAMS = $(noinst_PROGRAMS)
67 am_pmm_master_OBJECTS = _pmm_master.$(OBJEXT) pmm.$(OBJEXT)
68 pmm_master_OBJECTS = $(am_pmm_master_OBJECTS)
69 pmm_master_DEPENDENCIES = $(top_builddir)/src/libgras.la
70 am_pmm_simulator_OBJECTS = _pmm_simulator.$(OBJEXT) pmm.$(OBJEXT)
71 pmm_simulator_OBJECTS = $(am_pmm_simulator_OBJECTS)
72 pmm_simulator_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
73 am_pmm_slave_OBJECTS = _pmm_slave.$(OBJEXT) pmm.$(OBJEXT)
74 pmm_slave_OBJECTS = $(am_pmm_slave_OBJECTS)
75 pmm_slave_DEPENDENCIES = $(top_builddir)/src/libgras.la
76 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
77 depcomp = $(SHELL) $(top_srcdir)/depcomp
78 am__depfiles_maybe = depfiles
79 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
80         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
81 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
82         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
83         $(AM_CFLAGS) $(CFLAGS)
84 CCLD = $(CC)
85 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
86         $(AM_LDFLAGS) $(LDFLAGS) -o $@
87 SOURCES = $(pmm_master_SOURCES) $(pmm_simulator_SOURCES) \
88         $(pmm_slave_SOURCES)
89 DIST_SOURCES = $(pmm_master_SOURCES) $(pmm_simulator_SOURCES) \
90         $(pmm_slave_SOURCES)
91 ETAGS = etags
92 CTAGS = ctags
93 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
94 ACLOCAL = @ACLOCAL@
95 ADDR2LINE = @ADDR2LINE@
96 AMDEP_FALSE = @AMDEP_FALSE@
97 AMDEP_TRUE = @AMDEP_TRUE@
98 AMTAR = @AMTAR@
99 AR = @AR@
100 AS = @AS@
101 AUTOCONF = @AUTOCONF@
102 AUTOHEADER = @AUTOHEADER@
103 AUTOMAKE = @AUTOMAKE@
104 AWK = @AWK@
105 BASH = @BASH@
106 CC = @CC@
107 CCDEPMODE = @CCDEPMODE@
108 CFLAGS = @CFLAGS@
109 CPP = @CPP@
110 CPPFLAGS = @CPPFLAGS@
111 CXX = @CXX@
112 CXXCPP = @CXXCPP@
113 CXXDEPMODE = @CXXDEPMODE@
114 CXXFLAGS = @CXXFLAGS@
115 CYGPATH_W = @CYGPATH_W@
116 DEFS = @DEFS@
117 DEPDIR = @DEPDIR@
118 DLLTOOL = @DLLTOOL@
119 DOXYGEN = @DOXYGEN@
120 ECHO = @ECHO@
121 ECHO_C = @ECHO_C@
122 ECHO_N = @ECHO_N@
123 ECHO_T = @ECHO_T@
124 EGREP = @EGREP@
125 EXEEXT = @EXEEXT@
126 F77 = @F77@
127 FFLAGS = @FFLAGS@
128 FLEXML = @FLEXML@
129 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
130 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
131 GRAS_DEP = @GRAS_DEP@
132 GREP = @GREP@
133 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
134 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
135 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
136 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
137 INSTALL_DATA = @INSTALL_DATA@
138 INSTALL_PROGRAM = @INSTALL_PROGRAM@
139 INSTALL_SCRIPT = @INSTALL_SCRIPT@
140 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
141 LDFLAGS = @LDFLAGS@
142 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
143 LEX = @LEX@
144 LEXLIB = @LEXLIB@
145 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
146 LIBOBJS = @LIBOBJS@
147 LIBS = @LIBS@
148 LIBTOOL = @LIBTOOL@
149 LN_S = @LN_S@
150 LTLIBOBJS = @LTLIBOBJS@
151 MAINT = @MAINT@
152 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
153 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
154 MAKEINFO = @MAKEINFO@
155 MD5SUM = @MD5SUM@
156 OBJDUMP = @OBJDUMP@
157 OBJEXT = @OBJEXT@
158 PACKAGE = @PACKAGE@
159 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
160 PACKAGE_NAME = @PACKAGE_NAME@
161 PACKAGE_STRING = @PACKAGE_STRING@
162 PACKAGE_TARNAME = @PACKAGE_TARNAME@
163 PACKAGE_VERSION = @PACKAGE_VERSION@
164 PATH_SEPARATOR = @PATH_SEPARATOR@
165 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
166 RANLIB = @RANLIB@
167 SET_MAKE = @SET_MAKE@
168 SHELL = @SHELL@
169 SIMGRID_DEP = @SIMGRID_DEP@
170 STRIP = @STRIP@
171 VERSION = @VERSION@
172 WARNING = @WARNING@
173 abs_builddir = @abs_builddir@
174 abs_srcdir = @abs_srcdir@
175 abs_top_builddir = @abs_top_builddir@
176 abs_top_srcdir = @abs_top_srcdir@
177 ac_configure_args = @ac_configure_args@
178 ac_ct_CC = @ac_ct_CC@
179 ac_ct_CXX = @ac_ct_CXX@
180 ac_ct_F77 = @ac_ct_F77@
181 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
182 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
183 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
184 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
185 am__include = @am__include@
186 am__leading_dot = @am__leading_dot@
187 am__quote = @am__quote@
188 am__tar = @am__tar@
189 am__untar = @am__untar@
190 bindir = @bindir@
191 build = @build@
192 build_alias = @build_alias@
193 build_cpu = @build_cpu@
194 build_id = @build_id@
195 build_os = @build_os@
196 build_vendor = @build_vendor@
197 datadir = @datadir@
198 datarootdir = @datarootdir@
199 docdir = @docdir@
200 dvidir = @dvidir@
201 exec_prefix = @exec_prefix@
202 host = @host@
203 host_alias = @host_alias@
204 host_cpu = @host_cpu@
205 host_os = @host_os@
206 host_vendor = @host_vendor@
207 htmldir = @htmldir@
208 includedir = @includedir@
209 infodir = @infodir@
210 install_sh = @install_sh@
211 libdir = @libdir@
212 libexecdir = @libexecdir@
213 localedir = @localedir@
214 localstatedir = @localstatedir@
215 mandir = @mandir@
216 mkdir_p = @mkdir_p@
217 oldincludedir = @oldincludedir@
218 pdfdir = @pdfdir@
219 prefix = @prefix@
220 program_transform_name = @program_transform_name@
221 psdir = @psdir@
222 pth_skaddr_makecontext = @pth_skaddr_makecontext@
223 pth_sksize_makecontext = @pth_sksize_makecontext@
224 sbindir = @sbindir@
225 sharedstatedir = @sharedstatedir@
226 sysconfdir = @sysconfdir@
227 target = @target@
228 target_alias = @target_alias@
229 target_cpu = @target_cpu@
230 target_os = @target_os@
231 target_vendor = @target_vendor@
232 INCLUDES = -I$(top_srcdir)/include
233 TESTS = test_sg test_rl
234 EXTRA_DIST = pmm.xml  test_sg.in test_rl.in $(TESTS)
235 pmm_simulator_SOURCES = _pmm_simulator.c pmm.c
236 pmm_simulator_LDADD = $(top_builddir)/src/libsimgrid.la
237 pmm_slave_SOURCES = _pmm_slave.c    pmm.c
238 pmm_slave_LDADD = $(top_builddir)/src/libgras.la
239 pmm_master_SOURCES = _pmm_master.c    pmm.c
240 pmm_master_LDADD = $(top_builddir)/src/libgras.la
241
242 # Take care of generatated sources
243 NAME = pmm
244 PROCESSES = slave master
245 CLEANFILES = _$(NAME)_simulator.c $(NAME).mk $(NAME).Makefile.local $(NAME).Makefile.remote $(NAME).deploy.sh \
246              $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c)
247
248 MOSTLYCLEANFILES = $(NAME).trace
249 all: all-am
250
251 .SUFFIXES:
252 .SUFFIXES: .c .lo .o .obj
253 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/examples/temps-gras-stub.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
254         @for dep in $?; do \
255           case '$(am__configure_deps)' in \
256             *$$dep*) \
257               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
258                 && exit 0; \
259               exit 1;; \
260           esac; \
261         done; \
262         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/gras/pmm/Makefile'; \
263         cd $(top_srcdir) && \
264           $(AUTOMAKE) --gnu  examples/gras/pmm/Makefile
265 .PRECIOUS: Makefile
266 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
267         @case '$?' in \
268           *config.status*) \
269             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
270           *) \
271             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
272             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
273         esac;
274
275 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
276         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
277
278 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
279         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
280 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
281         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
282 test_sg: $(top_builddir)/config.status $(srcdir)/test_sg.in
283         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
284 test_rl: $(top_builddir)/config.status $(srcdir)/test_rl.in
285         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
286
287 clean-noinstPROGRAMS:
288         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
289           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
290           echo " rm -f $$p $$f"; \
291           rm -f $$p $$f ; \
292         done
293 pmm_master$(EXEEXT): $(pmm_master_OBJECTS) $(pmm_master_DEPENDENCIES) 
294         @rm -f pmm_master$(EXEEXT)
295         $(LINK) $(pmm_master_LDFLAGS) $(pmm_master_OBJECTS) $(pmm_master_LDADD) $(LIBS)
296 pmm_simulator$(EXEEXT): $(pmm_simulator_OBJECTS) $(pmm_simulator_DEPENDENCIES) 
297         @rm -f pmm_simulator$(EXEEXT)
298         $(LINK) $(pmm_simulator_LDFLAGS) $(pmm_simulator_OBJECTS) $(pmm_simulator_LDADD) $(LIBS)
299 pmm_slave$(EXEEXT): $(pmm_slave_OBJECTS) $(pmm_slave_DEPENDENCIES) 
300         @rm -f pmm_slave$(EXEEXT)
301         $(LINK) $(pmm_slave_LDFLAGS) $(pmm_slave_OBJECTS) $(pmm_slave_LDADD) $(LIBS)
302
303 mostlyclean-compile:
304         -rm -f *.$(OBJEXT)
305
306 distclean-compile:
307         -rm -f *.tab.c
308
309 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_pmm_master.Po@am__quote@
310 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_pmm_simulator.Po@am__quote@
311 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_pmm_slave.Po@am__quote@
312 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pmm.Po@am__quote@
313
314 .c.o:
315 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
316 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
317 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
318 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
319 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
320
321 .c.obj:
322 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
323 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
324 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
325 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
326 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
327
328 .c.lo:
329 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
330 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
331 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
332 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
333 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
334
335 mostlyclean-libtool:
336         -rm -f *.lo
337
338 clean-libtool:
339         -rm -rf .libs _libs
340
341 distclean-libtool:
342         -rm -f libtool
343 uninstall-info-am:
344
345 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
346         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
347         unique=`for i in $$list; do \
348             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
349           done | \
350           $(AWK) '    { files[$$0] = 1; } \
351                END { for (i in files) print i; }'`; \
352         mkid -fID $$unique
353 tags: TAGS
354
355 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
356                 $(TAGS_FILES) $(LISP)
357         tags=; \
358         here=`pwd`; \
359         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
360         unique=`for i in $$list; do \
361             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
362           done | \
363           $(AWK) '    { files[$$0] = 1; } \
364                END { for (i in files) print i; }'`; \
365         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
366           test -n "$$unique" || unique=$$empty_fix; \
367           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
368             $$tags $$unique; \
369         fi
370 ctags: CTAGS
371 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
372                 $(TAGS_FILES) $(LISP)
373         tags=; \
374         here=`pwd`; \
375         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
376         unique=`for i in $$list; do \
377             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
378           done | \
379           $(AWK) '    { files[$$0] = 1; } \
380                END { for (i in files) print i; }'`; \
381         test -z "$(CTAGS_ARGS)$$tags$$unique" \
382           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
383              $$tags $$unique
384
385 GTAGS:
386         here=`$(am__cd) $(top_builddir) && pwd` \
387           && cd $(top_srcdir) \
388           && gtags -i $(GTAGS_ARGS) $$here
389
390 distclean-tags:
391         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
392
393 check-TESTS: $(TESTS)
394         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
395         srcdir=$(srcdir); export srcdir; \
396         list='$(TESTS)'; \
397         if test -n "$$list"; then \
398           for tst in $$list; do \
399             if test -f ./$$tst; then dir=./; \
400             elif test -f $$tst; then dir=; \
401             else dir="$(srcdir)/"; fi; \
402             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
403               all=`expr $$all + 1`; \
404               case " $(XFAIL_TESTS) " in \
405               *" $$tst "*) \
406                 xpass=`expr $$xpass + 1`; \
407                 failed=`expr $$failed + 1`; \
408                 echo "XPASS: $$tst"; \
409               ;; \
410               *) \
411                 echo "PASS: $$tst"; \
412               ;; \
413               esac; \
414             elif test $$? -ne 77; then \
415               all=`expr $$all + 1`; \
416               case " $(XFAIL_TESTS) " in \
417               *" $$tst "*) \
418                 xfail=`expr $$xfail + 1`; \
419                 echo "XFAIL: $$tst"; \
420               ;; \
421               *) \
422                 failed=`expr $$failed + 1`; \
423                 echo "FAIL: $$tst"; \
424               ;; \
425               esac; \
426             else \
427               skip=`expr $$skip + 1`; \
428               echo "SKIP: $$tst"; \
429             fi; \
430           done; \
431           if test "$$failed" -eq 0; then \
432             if test "$$xfail" -eq 0; then \
433               banner="All $$all tests passed"; \
434             else \
435               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
436             fi; \
437           else \
438             if test "$$xpass" -eq 0; then \
439               banner="$$failed of $$all tests failed"; \
440             else \
441               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
442             fi; \
443           fi; \
444           dashes="$$banner"; \
445           skipped=""; \
446           if test "$$skip" -ne 0; then \
447             skipped="($$skip tests were not run)"; \
448             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
449               dashes="$$skipped"; \
450           fi; \
451           report=""; \
452           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
453             report="Please report to $(PACKAGE_BUGREPORT)"; \
454             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
455               dashes="$$report"; \
456           fi; \
457           dashes=`echo "$$dashes" | sed s/./=/g`; \
458           echo "$$dashes"; \
459           echo "$$banner"; \
460           test -z "$$skipped" || echo "$$skipped"; \
461           test -z "$$report" || echo "$$report"; \
462           echo "$$dashes"; \
463           test "$$failed" -eq 0; \
464         else :; fi
465
466 distdir: $(DISTFILES)
467         $(mkdir_p) $(distdir)/../../../acmacro $(distdir)/../../../examples
468         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
469         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
470         list='$(DISTFILES)'; for file in $$list; do \
471           case $$file in \
472             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
473             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
474           esac; \
475           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
476           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
477           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
478             dir="/$$dir"; \
479             $(mkdir_p) "$(distdir)$$dir"; \
480           else \
481             dir=''; \
482           fi; \
483           if test -d $$d/$$file; then \
484             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
485               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
486             fi; \
487             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
488           else \
489             test -f $(distdir)/$$file \
490             || cp -p $$d/$$file $(distdir)/$$file \
491             || exit 1; \
492           fi; \
493         done
494 check-am: all-am
495         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
496 check: check-am
497 all-am: Makefile $(PROGRAMS)
498 installdirs:
499 install: install-am
500 install-exec: install-exec-am
501 install-data: install-data-am
502 uninstall: uninstall-am
503
504 install-am: all-am
505         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
506
507 installcheck: installcheck-am
508 install-strip:
509         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
510           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
511           `test -z '$(STRIP)' || \
512             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
513 mostlyclean-generic:
514         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
515
516 clean-generic:
517         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
518
519 distclean-generic:
520         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
521
522 maintainer-clean-generic:
523         @echo "This command is intended for maintainers to use"
524         @echo "it deletes files that may require special tools to rebuild."
525 clean: clean-am
526
527 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
528         mostlyclean-am
529
530 distclean: distclean-am
531         -rm -rf ./$(DEPDIR)
532         -rm -f Makefile
533 distclean-am: clean-am distclean-compile distclean-generic \
534         distclean-libtool distclean-tags
535
536 dvi: dvi-am
537
538 dvi-am:
539
540 html: html-am
541
542 info: info-am
543
544 info-am:
545
546 install-data-am:
547
548 install-exec-am:
549
550 install-info: install-info-am
551
552 install-man:
553
554 installcheck-am:
555
556 maintainer-clean: maintainer-clean-am
557         -rm -rf ./$(DEPDIR)
558         -rm -f Makefile
559 maintainer-clean-am: distclean-am maintainer-clean-generic
560
561 mostlyclean: mostlyclean-am
562
563 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
564         mostlyclean-libtool
565
566 pdf: pdf-am
567
568 pdf-am:
569
570 ps: ps-am
571
572 ps-am:
573
574 uninstall-am: uninstall-info-am
575
576 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
577         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
578         distclean distclean-compile distclean-generic \
579         distclean-libtool distclean-tags distdir dvi dvi-am html \
580         html-am info info-am install install-am install-data \
581         install-data-am install-exec install-exec-am install-info \
582         install-info-am install-man install-strip installcheck \
583         installcheck-am installdirs maintainer-clean \
584         maintainer-clean-generic mostlyclean mostlyclean-compile \
585         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
586         tags uninstall uninstall-am uninstall-info-am
587
588
589 $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c) _$(NAME)_simulator.c: $(srcdir)/$(NAME).xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
590         [ x@EXEEXT@ = x ] || exenv=wine; $$exenv $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ $(NAME) $(srcdir)/$(NAME).xml
591
592 $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@:
593         make -C $(top_builddir)/tools/gras/ gras_stub_generator@EXEEXT@
594
595 dist-files:
596         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
597         @echo
598         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
599
600 # Cruft
601 # Tell versions [3.59,3.63) of GNU make to not export all variables.
602 # Otherwise a system limit (for SysV at least) may be exceeded.
603 .NOEXPORT: